=== debian/changelog ===
deepin-editor (6.5.39) unstable; urgency=medium

  * i18n: Updates for project Deepin Text Editor (#391)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 16 Oct 2025 19:37:27 +0800

deepin-editor (6.5.38) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 11:25:22 +0800

deepin-editor (6.5.37) unstable; urgency=medium

  * fix: Optimize mark removal logic in TextEdit and enhance file path handling in Window

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 17:02:39 +0800

deepin-editor (6.5.36) unstable; urgency=medium

  * Update version to 6.5.36.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 27 Aug 2025 11:13:48 +0800

deepin-editor (6.5.35) unstable; urgency=medium

  * fix: Change elide mode in Tabbar to ElideRight

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 22 Aug 2025 09:57:38 +0800
