=== debian/control ===
Source: deepin-editor
Section: editors
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Ma Aiguo <imaiguo@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 pkg-config,
 qt6-5compat-dev | hello,
 qt6-base-dev | qtbase5-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-tools-dev | qttools5-dev,
 qt6-base-private-dev | qtbase5-private-dev,
 qt6-svg-dev | libqt5svg5-dev,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6gui-dev | libdtkgui-dev,
 libdtk6core-dev | libdtkcore-dev,
 libdtk6declarative-dev | libdtkcore5-bin,
 libpolkit-qt6-1-dev | libpolkit-qt5-1-dev,
 libkf6syntaxhighlighting-dev | libkf5syntaxhighlighting-dev,
 libkf6codecs-dev | libkf5codecs-dev,
 libgtest-dev,
 libgmock-dev,
 libchardet-dev,
 libuchardet-dev (>= 0.0.6),
 libicu-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1

Package: deepin-editor
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-qt6integration | dde-qt5integration,
 libdtk6widget | libdtkwidget5 (>= 5.4.11),
 libuchardet0 (>= 0.0.6),
 libchardet1
Description: Text editor for DDE (Deepin Desktop Environment)
 Advanced text editor based on dtk.
 .
 This package is part of DDE (Deepin Desktop Environment).
Recommends: uos-reporter, deepin-event-log
